---
updatedAt: 2026-04-08T10:21:28.000Z
agentTools:
  projectIndex: https://developer.goacoustic.com/acoustic-content/llms.txt
---

# Get the full page hierarchy for a site.

Use this endpoint to retrieve the full page hierarchy for site. The metadata for each page will be included. This metadata includes the position of the page relative to its peers, the ID for the page content item, an optional override layout ID to use and encoded route if query parameter included=route is specified.
<br />User roles: admin, manager, editor, viewer

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.142",
    "x-ibm-name": "ibm-watson-content-hub-api",
    "title": "Acoustic Content API",
    "description": "Copyright © Acoustic, L.P. 2019"
  },
  "tags": [
    {
      "name": "Authoring sites",
      "description": "Use the Content authoring sites service Rest APIs to work with sites. Sites are comprised of a site metadata and a hierarchy of pages. You can retrieve or update site metadata and create, read, update, and delete site pages belonging to a site. The out-of-the-box site has an ID of 'default'.\n"
    }
  ],
  "paths": {
    "/authoring/v1/sites/{site-id}/pages": {
      "get": {
        "x-ibm-dx-security-user-roles": [
          "admin",
          "manager",
          "editor",
          "viewer"
        ],
        "summary": "Get the full page hierarchy for a site.\n",
        "description": "Use this endpoint to retrieve the full page hierarchy for site. The metadata for each page will be included. This metadata includes the position of the page relative to its peers, the ID for the page content item, an optional override layout ID to use and encoded route if query parameter included=route is specified.\n<br />User roles: admin, manager, editor, viewer",
        "parameters": [
          {
            "name": "site-id",
            "in": "path",
            "description": "The ID of the site.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "fields",
            "in": "query",
            "description": "Reduce the returned page metadata down to just the specified fields in the returned page hierarchy. Fields specified by a comma seperated list of field names and should only be used once in query string. To only retrieve `rev` and `lastModified` this parameter should look like `fields=rev,lastModified`.",
            "required": false,
            "style": "form",
            "explode": false,
            "schema": {
              "type": "string",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "include",
            "in": "query",
            "description": "Specify additional fields to include with each result. The following fields can be specified to be included in the page item: 'hierarchicalPath', 'route'.\nYou can specify multiple fields as a comma-separated value. For example, include=hierarchicalPath,route.\nThe hierarchicalPath field is a concatenation of each ancestor page name field and the route field is a concatenation of each ancestor page segment field.\n",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "responseFormat",
            "in": "query",
            "description": "Specify the format for the response. Valid values are 'hierarchical' and 'list'. Default is 'hierarchical'.",
            "required": false,
            "schema": {
              "type": "string",
              "default": "hierarchical"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "succcess.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "title": "Hierachy of pages in the site",
                  "description": "Hierachy of pages in the site",
                  "properties": {
                    "items": {
                      "type": "array",
                      "items": {
                        "title": "Hierarchical Page Metadata",
                        "description": "Page Metadata of page in hierarchy",
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "The ID of the page item."
                          },
                          "rev": {
                            "type": "string",
                            "description": "The current revision of the document."
                          },
                          "name": {
                            "type": "string",
                            "description": "The name of the page item."
                          },
                          "contentId": {
                            "type": "string",
                            "description": "The ID of the page content item this item represents."
                          },
                          "contentTypeId": {
                            "type": "string",
                            "description": "The ID of the page content type."
                          },
                          "position": {
                            "type": "string",
                            "description": "Position relative to sibling pages giving the order of the pages. Position is an integer value starting at 0."
                          },
                          "description": {
                            "type": "string",
                            "description": "Page description."
                          },
                          "layoutId": {
                            "type": "string",
                            "description": "Page layout template ID."
                          },
                          "segment": {
                            "type": "string",
                            "description": "Friendly URL segment."
                          },
                          "title": {
                            "type": "string",
                            "description": "Page title."
                          },
                          "parentId": {
                            "type": "string",
                            "description": "Not present if root page otherwise id of parent page"
                          },
                          "classification": {
                            "type": "string",
                            "description": "This is always `page`"
                          },
                          "children": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            },
                            "description": "This is an array of the hierarchical child pages of this hierarchical page"
                          },
                          "hideFromNavigation": {
                            "type": "boolean",
                            "description": "This controls the visibility of the page in the site navigation menu. If set to `true` this page is hidden. If set to `true` on a parent page, it will override the corresponding flags in all descendant pages. Therefore, hiding a page will hide all its descendants in the site navigation menu."
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "items": [
                        {
                          "id": "1067771c-ec05-4671-951b-18f503953f2d",
                          "rev": "22-ae719cf45c00a55eda54d6480976b3e1",
                          "name": "home",
                          "segment": "home",
                          "contentTypeId": "ab7288e3-42r3-h34s-72nm-34vfk4gf894g",
                          "description": "home page",
                          "layoutId": "7655c56d-39ee-4c4d-8689-00bd1c08e6ff",
                          "title": "Home Page",
                          "contentId": "68eb88a6-31d8-4e47-ad5f-da932081b68d",
                          "route": "/home",
                          "position": 0,
                          "classification": "page",
                          "hideFromNavigation": false,
                          "children": [
                            {
                              "id": "aw67771c-ec05-4671-951b-18fqwq53f2d",
                              "rev": "20-axz19cf45c00a55eda54d6480976b3e1",
                              "name": "products",
                              "segment": "products",
                              "contentTypeId": "dffa969c-32fc-4079-8a57-eb85ad136ae8",
                              "description": "products page",
                              "layoutId": "13c46fbe-db14-4a24-859f-f4b847a2b843",
                              "title": "Products Page",
                              "contentId": "76sd88a6-31d8-4e47-ad5f-da932081b68d",
                              "route": "/home/products",
                              "parentId": "1067771c-ec05-4671-951b-18f503953f2d",
                              "position": 0,
                              "hideFromNavigation": false,
                              "children": []
                            }
                          ]
                        },
                        {
                          "id": "1067771c-ec05-4671-951b-18f632153f2d",
                          "rev": "22-ae719cf45c00a55eda54d6480ab6b3e1",
                          "name": "search results",
                          "segment": "search-results",
                          "contentTypeId": "ab7288e3-4ar3-h34s-72nm-3fvf3agf894g",
                          "description": "search results page",
                          "layoutId": "7655c56d-39ee-4c4d-8689-00be1c0854ff",
                          "title": "Search Results",
                          "contentId": "68b192a6-31d8-4e47-ad5f-da472081b68d",
                          "route": "/search-results",
                          "position": 0,
                          "classification": "page",
                          "hideFromNavigation": true,
                          "children": []
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 2005,
                          "message": "Invalid site ID parameter provided.",
                          "level": "ERROR",
                          "description": "The site ID provided is invalid. The site ID value cannot be empty or contain spaces. Provide a valid site ID and try again.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1016,
                          "message": "Problem accessing database.",
                          "level": "ERROR",
                          "description": "Problem accessing database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1016,
                          "message": "Problem accessing database.",
                          "level": "ERROR",
                          "description": "Problem accessing database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 2002,
                          "message": "Site not found for ID: dummyId",
                          "level": "ERROR",
                          "description": "A site with the specified ID was not found in the system. Provide a valid ID and try again.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 1018,
                          "message": "Temporarily unable to access the database.",
                          "level": "ERROR",
                          "description": "Temporarily unable to access the database. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "default": {
            "description": "Unexpected error",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ErrorMessage",
                  "description": "ErrorMessage",
                  "type": "object",
                  "properties": {
                    "service": {
                      "type": "string",
                      "description": "Service name."
                    },
                    "requestId": {
                      "type": "string",
                      "description": "Request ID."
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "title": "Error",
                        "description": "Error",
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer"
                          },
                          "message": {
                            "type": "string"
                          },
                          "level": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "cause": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "integer"
                              },
                              "message": {
                                "type": "string"
                              }
                            }
                          },
                          "locale": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "response": {
                    "value": {
                      "service": "prod-authoring-sites",
                      "requestId": "455478465455511",
                      "errors": [
                        {
                          "code": 5004,
                          "message": "Unexpected error occurred.",
                          "level": "ERROR",
                          "description": "Unable to complete the request due to an unexpected error. Try again or contact Acoustic support if problem persists.",
                          "locale": "en"
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Authoring sites"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```